You are not logged in.

#1 2021-10-21 17:35:09

junux
Member
Registered: 2021-10-21
Posts: 5

[SOLVED]problem installing go pkg

I'm trying to install "GMenu" by paru. This package is written in go and I already have go.
But while it's trying to compile, I get this error:

loadinternal: cannot find runtime/cgo

Then it goes in coma
How can I solve this?

fetching devel info...
==> Making package: gmenu 0.3.0-1 (Thu 21 Oct 2021 10:14:22 PM +0330)
==> Retrieving sources...
  -> Found gmenu-0.3.0.tar.gz
==> Validating source files with sha256sums...
    gmenu-0.3.0.tar.gz ... Passed
==> Making package: gmenu 0.3.0-1 (Thu 21 Oct 2021 10:14:25 PM +0330)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found gmenu-0.3.0.tar.gz
==> Validating source files with sha256sums...
    gmenu-0.3.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting gmenu-0.3.0.tar.gz with bsdtar
==> Sources are ready.
gmenu-0.3.0-1: parsing pkg list...
==> Making package: gmenu 0.3.0-1 (Thu 21 Oct 2021 10:14:32 PM +0330)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
# github.com/gotk3/gotk3/glib
cgo-gcc-prolog: In function ‘_cgo_2eef4077632b_Cfunc_g_binding_get_source’:
cgo-gcc-prolog:71:2: warning: ‘g_binding_get_source’ is deprecated: Use 'g_binding_dup_source' instead [-Wdeprecated-declarations]
In file included from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /home/junux/go/pkg/mod/github.com/gotk3/gotk3@v0.5.3-0.20210405165307-86f85cbecd0b/glib/gbinding.go:3:
/usr/include/glib-2.0/gobject/gbinding.h:113:23: note: declared here
  113 | GObject *             g_binding_get_source          (GBinding *binding);
      |                       ^~~~~~~~~~~~~~~~~~~~
cgo-gcc-prolog: In function ‘_cgo_2eef4077632b_Cfunc_g_binding_get_target’:
cgo-gcc-prolog:107:2: warning: ‘g_binding_get_target’ is deprecated: Use 'g_binding_dup_target' instead [-Wdeprecated-declarations]
In file included from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /home/junux/go/pkg/mod/github.com/gotk3/gotk3@v0.5.3-0.20210405165307-86f85cbecd0b/glib/gbinding.go:3:
/usr/include/glib-2.0/gobject/gbinding.h:117:23: note: declared here
  117 | GObject *             g_binding_get_target          (GBinding *binding);
      |                       ^~~~~~~~~~~~~~~~~~~~
# code.rocketnine.space/tslocum/gmenu/cmd/gmenu
loadinternal: cannot find runtime/cgo

Last edited by junux (2021-11-30 13:13:06)

Offline

#2 2021-10-21 18:35:25

loqs
Member
Registered: 2014-03-06
Posts: 14,266

Re: [SOLVED]problem installing go pkg

I see the same output.  It did not prevent the package from being built:
gmenu-0.3.0-1-x86_64-build.log

go: downloading code.rocketnine.space/tslocum/cview v1.5.4
go: downloading code.rocketnine.space/tslocum/desktop v0.1.5
go: downloading github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51
go: downloading github.com/gotk3/gotk3 v0.5.3-0.20210405165307-86f85cbecd0b
go: downloading github.com/lithammer/fuzzysearch v1.1.1
go: downloading github.com/mattn/go-isatty v0.0.12
go: downloading github.com/gdamore/tcell/v2 v2.2.1-0.20210305060500-f4d402906fa3
go: downloading golang.org/x/sys v0.0.0-20210414055047-fe65e336abe0
go: downloading golang.org/x/text v0.3.6
go: downloading github.com/gdamore/encoding v1.0.0
go: downloading golang.org/x/term v0.0.0-20210406210042-72f3dc4e9b72
go: downloading github.com/mattn/go-runewidth v0.0.12
go: downloading github.com/lucasb-eyer/go-colorful v1.2.0
go: downloading github.com/rivo/uniseg v0.2.0
go: downloading code.rocketnine.space/tslocum/cbind v0.1.5
# code.rocketnine.space/tslocum/gmenu/cmd/gmenu
loadinternal: cannot find runtime/cgo
# github.com/gotk3/gotk3/glib
cgo-gcc-prolog: In function ‘_cgo_2eef4077632b_Cfunc_g_binding_get_source’:
cgo-gcc-prolog:71:2: warning: ‘g_binding_get_source’ is deprecated: Use 'g_binding_dup_source' instead [-Wdeprecated-declarations]
In file included from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /build/go/pkg/mod/github.com/gotk3/gotk3@v0.5.3-0.20210405165307-86f85cbecd0b/glib/gbinding.go:3:
/usr/include/glib-2.0/gobject/gbinding.h:113:23: note: declared here
  113 | GObject *             g_binding_get_source          (GBinding *binding);
      |                       ^~~~~~~~~~~~~~~~~~~~
cgo-gcc-prolog: In function ‘_cgo_2eef4077632b_Cfunc_g_binding_get_target’:
cgo-gcc-prolog:107:2: warning: ‘g_binding_get_target’ is deprecated: Use 'g_binding_dup_target' instead [-Wdeprecated-declarations]
In file included from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /build/go/pkg/mod/github.com/gotk3/gotk3@v0.5.3-0.20210405165307-86f85cbecd0b/glib/gbinding.go:3:
/usr/include/glib-2.0/gobject/gbinding.h:117:23: note: declared here
  117 | GObject *             g_binding_get_target          (GBinding *binding);
      |                       ^~~~~~~~~~~~~~~~~~~~

Offline

#3 2021-10-21 20:01:42

junux
Member
Registered: 2021-10-21
Posts: 5

Re: [SOLVED]problem installing go pkg

loqs wrote:

I see the same output.  It did not prevent the package from being built:
gmenu-0.3.0-1-x86_64-build.log

yes it installed perfectly
I thought it should take less time

Offline

Board footer

Powered by FluxBB